declare const defaultOptions: {
    cancelOnUnmount: boolean;
};
/**
 * An async-utility hook that accepts a callback function and a delay time (in milliseconds), then delays the
 * execution of the given function by the defined time.
 */
export declare const useTimeout: (fn?: React.EffectCallback, milliseconds?: number, options?: typeof defaultOptions) => [boolean, () => void];
/**
 * This uses a single timeout that auto-cancels any previous timeout when swapped out and auto-cancels on unmount.
 * @param fn The timeout callback function.
 * @param milliseconds The timeout delay.
 * @param options
 */
export declare const useSwappableTimeout: (fn?: React.EffectCallback, milliseconds?: number, options?: typeof defaultOptions) => {
    clearTimeoutRef: () => void;
    isCleared: boolean;
    swapTimeout: (...args: any[]) => void;
};
export {};
