import ILocalContainerProps from '../../../common/structures/ILocalContainerProps';
export interface IAlertProps extends ILocalContainerProps {
    /** If true, close icon will be present, component will return null on click*/
    dismissable?: boolean;
    /** Function called when dismissing alert. If alert will need to be shown again, use this to update the "show" prop accordingly*/
    onDismiss?: Function;
    /** 'success' = green (default), 'warning' = red*/
    type?: 'success' | 'warning';
    /** Used to show alert, defaults to true. Dismissed alerts can be redisplayed by updating this prop from false to true*/
    show?: boolean;
}
export declare const Alert: (props: IAlertProps) => JSX.Element | null;
