import * as React from 'react';
import IReactComponentProps from '../../../common/structures/IReactComponentProps';
import { FunctionGeneric } from '../../../common/structures/Generics';
interface BannerProps extends IReactComponentProps {
    buttonText?: string;
    currentIndex?: number;
    buttonOnClick?: FunctionGeneric;
    icon?: string | boolean;
    numBanners?: number;
    onDismiss?: FunctionGeneric;
    onIndexChange?: FunctionGeneric;
    variant?: 'warning' | 'neutral' | 'success' | 'error';
    /**
     * Thin height is 40px; default height is 56px
     */
    height: 'thin' | 'default';
    noStripes: boolean;
    closeSize: 'sm' | 'l';
}
export default class Banner extends React.Component<BannerProps> {
    static defaultProps: Partial<BannerProps>;
    constructor(props: BannerProps);
    renderIcon(): JSX.Element | null;
    renderButton(): JSX.Element | null;
    renderCarousel(): JSX.Element | null;
    renderDismiss(): JSX.Element | null;
    render(): JSX.Element;
}
export {};
