import ILocalContainerProps from '../../../common/structures/ILocalContainerProps';
import { CopiedStateIconVariants, UncopiedStateIconVariants } from './_private/CopyButtonIcon';
export declare enum CopiedStateBGStyleVariants {
    green = "green",
    transparent = "transparent",
    transparentGrayText = "transparentGrayText"
}
export declare enum UncopiedStateBGStyleVariants {
    gray = "gray",
    transparent = "transparent"
}
export declare enum PaddingAmount {
    small = "small",
    medium = "medium"
}
export interface ICopyButtonProps extends ILocalContainerProps {
    tag?: string;
    copiedTimeout: number;
    uncopiedStateText?: string;
    copiedStateText?: string;
    uncopiedStateIconVariant?: keyof typeof UncopiedStateIconVariants | null;
    copiedStateIconVariant?: keyof typeof CopiedStateIconVariants | null;
    uncopiedStateBGStyleVariant?: keyof typeof UncopiedStateBGStyleVariants;
    copiedStateBGStyleVariant?: keyof typeof CopiedStateBGStyleVariants;
    padding?: PaddingAmount | keyof typeof PaddingAmount;
    textToCopy: string;
}
export declare const CopyButton: {
    (props: ICopyButtonProps): JSX.Element;
    defaultProps: {
        tag: string;
        copiedTimeout: number;
        uncopiedStateText: string;
        copiedStateText: string;
        uncopiedStateIconVariant: null;
        copiedStateIconVariant: CopiedStateIconVariants;
        copiedStateBGStyleVariant: CopiedStateBGStyleVariants;
        uncopiedStateBGStyleVariant: UncopiedStateBGStyleVariants;
        padding: PaddingAmount;
        /**
         * Though this prop is optional, it is included here so that any falsy JS values (null & undefined in particular)
         * are passed into the user's clipboard as an empty string
         */
        textToCopy: string;
    };
};
