import * as React from 'react';
/**
 * Note: need to export to avoid error in Icons namespace.
 */
export interface IconSvgProps {
    className?: string;
    key?: string | number;
    height?: number;
    id?: string;
    style?: object;
    width?: number;
    onClick?: any;
    tabIndex?: number;
    onMouseDown?: any;
}
export interface IconSvgStoryMetaAdditionalProps {
    propName: string;
    type: 'select';
    options: any[];
    default: any;
}
/**
 * Typing for icon meta data used for Storybook.
 */
export interface IconSvgStoryMeta {
    additionalProps?: IconSvgStoryMetaAdditionalProps[];
    tags: string[];
}
/**
 * HOC that adds additional props and styles to icons.
 * @param IconComponent The icon component to be decorated by the hoc.
 * @param neutralFill Whether to set the color of the svg path fill to the theme's neutral gray color.
 * @param meta The meta details for an svg that makes an icon more discoverable within storybook example.
 */
declare const withIconSvg: <P extends object>(IconComponent: any, neutralFill: boolean, meta: IconSvgStoryMeta, neutralStroke?: boolean) => React.FC<P & IconSvgProps>;
export default withIconSvg;
