import * as React from 'react';
import IReactComponentProps from '../../../common/structures/IReactComponentProps';
import { FunctionGeneric } from '../../../common/structures/Generics';
import { TooltipProps } from '../../overlays/Tooltip/Tooltip';
interface IItems {
    color: 'red' | 'none';
    className?: string;
    content?: React.ReactNode;
    label?: string;
    onClick: FunctionGeneric;
}
interface IProps extends IReactComponentProps {
    caret?: boolean;
    /** className for the list items' container */
    classNameList?: string;
    /** className for an individual list item */
    classNameListItem?: string;
    /** whether to force the tooltip to show and ignore mouse events * */
    forceShow?: boolean;
    /** */
    items: IItems[];
    navItem?: boolean;
    navItemActive?: boolean;
    popperOptions?: TooltipProps;
    position?: 'top' | 'bottom';
    useClickInsteadOfHover?: boolean;
    /** Icon to show to the left of the selected item - will not have fill added */
    selectedIcon?: any;
    /** Style the trigger textButton as disabled */
    disabledStyle?: boolean;
}
declare const FlyDropdown: {
    (props: IProps): JSX.Element;
    defaultProps: Partial<IProps>;
};
export default FlyDropdown;
