import * as React from 'react';
import ILocalContainerProps from '../../../common/structures/ILocalContainerProps';
interface PropsBase extends ILocalContainerProps {
    children: React.ReactNode & {
        props?: any[];
    } | null;
    clickArea?: 'icon' | 'all';
    icon?: boolean | React.ReactNode;
    itemId?: string;
    onToggle?: (id: PropsControlled['itemId'] | undefined) => void;
}
interface PropsControlled extends PropsBase {
    opened: boolean;
}
interface PropsUncontrolled extends PropsBase {
    openedDefault?: boolean;
}
/**
 * This is a factory of sorts that determines whether to use the controlled or uncontrolled variation.
 * Uses controlled-specific prop(s) to determine whether the parent is trying to "control" state or not.
 */
declare const AccordionItem: React.FC<PropsControlled | PropsUncontrolled>;
export default AccordionItem;
