import * as React from 'react';
import { FunctionGeneric } from '../../../common/structures/Generics';
import { TooltipProps } from '../../overlays/Tooltip/Tooltip';
export interface IMenuItem {
    color?: 'red' | 'none';
    className?: string;
    content?: React.ReactNode;
    label?: string;
    onClick?: FunctionGeneric;
    enabled?: boolean;
    type?: 'normal' | 'separator';
}
export interface IContextMenuProps extends Omit<TooltipProps, 'content'> {
    /** className for the list items' container */
    classNameList?: string;
    /** className for an individual list item */
    classNameListItem?: string;
    /** array of menu items */
    items: IMenuItem[];
    /** whether to have background behind 3 dots - set to false for low key 3 dot dropdowns */
    noBG?: boolean;
}
declare const ContextMenu: {
    (props: IContextMenuProps): JSX.Element;
    defaultProps: Partial<IContextMenuProps>;
};
export default ContextMenu;
