import * as React from 'react';
import IReactComponentProps from '../../../common/structures/IReactComponentProps';
import { FunctionGeneric } from '../../../common/structures/Generics';
interface IProps extends IReactComponentProps {
    childrenClassName?: string;
    content?: React.ReactNode;
    contentClassName?: string;
    contentDescription?: React.ReactNode;
    contentDescriptionClassName?: string;
    contentDescriptionTruncate?: boolean;
    contentDescriptionTruncateLines?: number;
    contentDescriptionTruncateEllipsis?: React.ReactNode;
    contentSub?: React.ReactNode;
    contentSubClassName?: string;
    contentSubTruncate?: boolean;
    contentSubTruncateLines?: number;
    contentSubTruncateEllipsis?: React.ReactNode;
    contentTitle?: React.ReactNode;
    contentTitleClassName?: string;
    contentTitleOnClick?: FunctionGeneric;
    contentTitleTruncate?: boolean;
    contentTitleTruncateLines?: number;
    contentTitleTruncateEllipsis?: React.ReactNode;
    footer?: React.ReactNode;
    footerClassName?: React.ReactNode;
    header?: React.ReactNode;
    headerBackgroundColor?: string;
    headerClassName?: string;
    headerIconClassName?: string;
    headerIconContainerClassName?: string;
    headerIconPath?: string;
    headerIconMaxHeight?: string;
    headerOnClick?: FunctionGeneric;
    overflow?: string;
    tag?: string;
    truncateDefaultLines?: number;
    truncateDefaultEllipsis?: string;
}
export default class Card extends React.Component<IProps> {
    static defaultProps: Partial<IProps>;
    hasHeader(): {} | undefined;
    renderHeader(): JSX.Element;
    hasContent(): React.ReactNode;
    renderContent(): JSX.Element;
    hasFooter(): React.ReactNode;
    renderFooter(): JSX.Element;
    render(): JSX.Element;
}
export {};
