import * as React from 'react';
import IReactComponentProps from '../../../../common/structures/IReactComponentProps';
import { IVirtualTableContext } from '../helpers/VirtualTableContext';
import { IVirtualTableProps, VirtualTableDataType } from '../VirtualTable';
export interface IVirtualTableRowProps extends IReactComponentProps {
    extraData?: any;
    /** whether this is a header row or not */
    isHeader: boolean;
    /** */
    onChangeRowData: IVirtualTableProps['onChangeRowData'];
    /** the raw row data passed in and could be an array or object-based */
    rowData: VirtualTableDataType;
    /** an column-ordered list of the 'rowData' prop data ready to be rendered as is */
    rowDataOrdered: any[];
    /** the overall table row index */
    rowIndex: number;
}
export declare class VirtualTableRow extends React.Component<IVirtualTableRowProps> {
    protected _renderRow(context: IVirtualTableContext): JSX.Element;
    render(): JSX.Element;
}
