import * as React from 'react';
import IReactComponentProps from '../../../../common/structures/IReactComponentProps';
import { IVirtualTableCellRendererDataArgs } from '../VirtualTable';
interface IDataObject {
    index: number;
    name: string;
    selected: boolean;
}
declare type FormDataTypeValueType = 'objects' | 'arrays';
declare type FormRowHeightSizeType = 's' | 'm' | 'l';
declare type FormRowHeaderHeightSizeType = 'auto' | 's' | 'm' | 'l';
interface IVirtualTableExampleState {
    data: IVirtualTableExampleState['dataArrays'] | IVirtualTableExampleState['dataObjects'] | null;
    dataArrays: any[][];
    dataObjects: IDataObject[];
    formDataTypeValue: FormDataTypeValueType;
    formRowHeightSize: FormRowHeightSizeType;
    formRowHeaderHeightSize: FormRowHeaderHeightSizeType;
    headers: any[] | null;
}
export declare class VirtualTableExample extends React.Component<IReactComponentProps, IVirtualTableExampleState> {
    protected _idGenCountArrays: number;
    protected _idGenCountObjects: number;
    constructor(props: IReactComponentProps);
    protected _onUpdateConfig(): void;
    protected _onChangeDataTypeValue: (value: FormDataTypeValueType) => void;
    protected _onChangeRowHeightSize: (event: any) => void;
    protected _onChangeRowHeaderHeightSize: (event: any) => void;
    protected _cellRenderer: (dataArgs: IVirtualTableCellRendererDataArgs) => JSX.Element | null;
    render(): JSX.Element;
}
export {};
