import * as React from 'react';
import IReactComponentProps from '../../../common/structures/IReactComponentProps';
interface IProps extends IReactComponentProps {
    items?: any[];
    offsetX?: string;
    offsetY?: string;
    padding?: boolean;
    position?: 'bottom' | 'right' | 'top';
    triggerContent?: React.ReactNode;
    triggerAble?: boolean;
    closeOnPopupClick?: boolean;
    centerTail?: boolean;
    closeOnTrigger?: boolean;
}
interface IState {
    open: boolean;
    tipItemHover: boolean;
}
export default class Popup extends React.Component<IProps, IState> {
    static defaultProps: {
        items: never[];
        padding: boolean;
        position: string;
        triggerAble: boolean;
        closeOnPopupClick: boolean;
        centerTail: boolean;
        closeOnTrigger: boolean;
    };
    constructor(props: IProps);
    componentDidMount(): void;
    componentWillUnmount(): void;
    onClick(): void;
    onClickOutside(event: any): void;
    maybeClose(event: any): void;
    handleClose: () => void;
    render(): JSX.Element;
}
export {};
