import * as React from 'react';
import ILocalContainerProps from '../../../../common/structures/ILocalContainerProps';
export declare enum TextBasePropColor {
    gray_gray25_title = "gray_gray25_title",
    gray25_text = "gray25_text",
    graydark_gray15_text = "graydark_gray15_text",
    graydark_white_caption = "graydark_white_caption"
}
export declare enum TextBasePropFontSize {
    s = "s",
    m = "m",
    l = "l",
    xl = "xl"
}
export declare enum TextBasePropFontWeight {
    normal = "normal",
    bold = "bold",
    heavy = "heavy"
}
export interface ITextCommonProps extends ILocalContainerProps {
    /** The html element tag used for the component. */
    tag?: string;
}
export interface ITextBaseProps extends ITextCommonProps {
    /** The color applied to the component. */
    color?: TextBasePropColor | keyof typeof TextBasePropColor;
    /** The font-size applied to the component. */
    fontSize?: TextBasePropFontSize | keyof typeof TextBasePropFontSize;
    /** The font-weight applied to the component. */
    fontWeight?: TextBasePropFontWeight | keyof typeof TextBasePropFontWeight;
}
export declare class TextBase extends React.Component<ITextBaseProps> {
    static defaultProps: Partial<ITextBaseProps>;
    render(): JSX.Element;
}
